%global momorel 6

Summary: quickly search for many items present on your desktop or the web, and perform
Name: gnome-do
Version: 0.8.3.1
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv3
URL: http://do.davebsd.com/index.shtml
Source0: http://edge.launchpad.net/do/0.8/0.8.3/+download/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: gnome-sharp-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: gnome-keyring-sharp-devel
BuildRequires: mono-addins-devel
BuildRequires: ndesk-dbus-devel
BuildRequires: notify-sharp-devel
BuildRequires: mono-core
BuildRequires: gnome-desktop-sharp-libwnck
BuildRequires: gnome-desktop-sharp-librsvg2
BuildRequires: mono-addins-devel >= 0.5

Requires(pre): hicolor-icon-theme gtk2
Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2
Requires: mono-core
Requires: gtk2

%description
Simple, sleek, swift, smart. Do.

GNOME Do allows you to quickly search for many items present on your
desktop or the web, and perform useful actions on those items.

GNOME Do is inspired by Quicksilver & GNOME Launch Box.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# delete debug infomation
find %{buildroot} -name "*.mdb" -delete

# do not auto-start at KDE and LXDE session
echo "NotShowIn=KDE;LXDE;XFCE;" | cat %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop - > %{name}.desktop
mv %{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%clean
rm -rf --preserve-root %{buildroot}


%post
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gnome-do.schemas \
  > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-do.schemas \
    > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-do.schemas \
    > /dev/null || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT
%{_sysconfdir}/gconf/schemas/gnome-do.schemas
%{_sysconfdir}/xdg/autostart/gnome-do.desktop
%{_bindir}/gnome-do
%{_libdir}/gnome-do
%{_datadir}/applications/gnome-do.desktop
%{_datadir}/gnome-do
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.3.1-6m)
- full rebuild for mo7 release

* Thu Aug 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3.1-5m)
- good-bye XFCE

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.3.1-4m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.3.1-3m)
- add Requires: GConf2

* Tue Aug  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.3.1-2m)
- NotShowIn LXDE

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3.1-1m)
- update to 0.8.3.1

* Thu Jul 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-4m)
- rebuild against mono-addins-0.5

* Mon Jul 12 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-3m)
- add BuildRequires

* Thu Jul  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-2m)
- disable auto-start at KDE startup
- License: GPLv3

* Tue Jul  6 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- initial build
